%
% Compute the projected P and corresponding support points x,p
% Updated May 2016
% Xavier d'Haultfoeuille, Roland Rathelot
% 

function [Pchap,contraint,xp1] = fct_Pchap_CML(Ptilde,xp0)

    K = length(Ptilde);
    
    % Default value
    if ~exist('xp0', 'var')
        % Support initial (rpartition uniforme des K+1 points)
        k=floor(K/2)+1;
        xp0 = [(1/(k+1):1/(k+1):(k)/(k+1))';ones(k,1)/k] ;
    end

    % mchap est-il dans Mrond    
    mtilde = fct_Q(K) \ Ptilde;
    contraint = fct_contraint(mtilde);
    
    % Cas mchap  l'extrieur (quel xp projet dans Mrond)
    if contraint == 1
        %[xp2,~] = projection_xp(Ptilde, xp0); 
        [xp1,Pchap_complet] = projection_maxvrais(Ptilde, xp0); 
        Pchap = Pchap_complet(2:end);
    else
        xp1 = xp0;
        Pchap = Ptilde;
    end
   
end