%
% Compute the complete P, i.e. [1-sum(P); P], based on x,p
% Updated May 2016
% Xavier d'Haultfoeuille, Roland Rathelot
% 

function Pcomplet = fct_Pcomplet(xp,K)  

Q = fct_Q(K);
k = length(xp)/2;
x1 = xp(1:end/2);
p1 = xp(end/2+1:end);
Ax =  (ones(K,1) * x1' ).^((1:K)' * ones(1,k));
Pchap2 = Q * Ax * p1;
Pcomplet = [1-sum(Pchap2);Pchap2];