%
% Compute P and n for a given K in a dataset
% Updated May 2016
% Xavier d'Haultfoeuille, Roland Rathelot
%  

function [Ptilde, n] = fct_datamanip(db,K)

    db=db(db(:,1)>-99,:);
    [val,iiii] = min(db');
    count = db( (iiii-2 == K)&(val==-99) ,:);
    count = count(count>-99);
    n = round(sum(count));
    Pcomplet = count'/n;
    Ptilde = Pcomplet(2:end);
   
end