%
% Project P on the border of \mathcal M when P is in the interior 
%  of \mathcal M
% Updated May 2016
% Xavier d'Haultfoeuille, Roland Rathelot
% 

function Pchap2_complet = proj_frontiere2(Pcomplet, n)

n_simu = floor(10*n*log(n));

contraint = 0;

K = length(Pcomplet)-1;
k=floor(K/2)+1;
% Support initial (rpartition uniforme des K+1 points)
xp0 = [(1/(k+1):1/(k+1):(k)/(k+1))';ones(k,1)/k] ;

count_iter = 0;

while (contraint == 0)&&(count_iter<50);    
    P_simu = mnrnd(n_simu,Pcomplet)'/n_simu;
    m_simu = fct_Q(K) \ P_simu(2:end);
    contraint = fct_contraint(m_simu);
    count_iter=count_iter+1;
end

if count_iter==50;
    Pchap2_complet = Pcomplet;
else
    [~,Pchap2_complet] = projection_xp(P_simu(2:end), xp0);
end

